Index: general.ent
===================================================================
--- general.ent	(revision a25be74d9d824c8aabf5520f350421a7590dac8d)
+++ general.ent	(revision d221e7186d7f176777d84b85fcc71f8058ddb60f)
@@ -41,10 +41,9 @@
 <!ENTITY external        "Optional dependencies">
                          
-<!ENTITY gnu             "http://ftp.gnu.org/gnu/">
-<!ENTITY gnu-software    "http://www.gnu.org/software/">
-<!ENTITY alpha-gnu       "http://alpha.gnu.org/gnu/">
+<!ENTITY gnu             "https://ftp.gnu.org/gnu/">
+<!ENTITY gnu-software    "https://www.gnu.org/software/">
 <!ENTITY kernel          "https://www.kernel.org/pub/">
 <!ENTITY sourceforge     "https://prdownloads.sourceforge.net/">
-<!ENTITY savannah        "http://download.savannah.gnu.org">
+<!ENTITY savannah        "https://download.savannah.gnu.org">
 <!ENTITY savannah-nongnu "https://savannah.nongnu.org">
 <!ENTITY github          "https://github.com">
Index: packages.ent
===================================================================
--- packages.ent	(revision a25be74d9d824c8aabf5520f350421a7590dac8d)
+++ packages.ent	(revision d221e7186d7f176777d84b85fcc71f8058ddb60f)
@@ -92,5 +92,5 @@
 <!ENTITY bzip2-url "https://www.sourceware.org/pub/bzip2/bzip2-&bzip2-version;.tar.gz">
 <!ENTITY bzip2-md5 "67e051268d0c475ea773822f7500d0e5">
-<!ENTITY bzip2-home " ">
+<!ENTITY bzip2-home "https://sourceware.org/bzip2/">
 <!ENTITY bzip2-fin-du "7.5 MB">
 <!ENTITY bzip2-fin-sbu "less than 0.1 SBU">
@@ -152,5 +152,5 @@
 <!ENTITY elfutils-url "https://sourceware.org/ftp/elfutils/&elfutils-version;/elfutils-&elfutils-version;.tar.bz2">
 <!ENTITY elfutils-md5 "6f58aa1b9af1a5681b1cbf63e0da2d67">
-<!ENTITY elfutils-home "https://sourceware.org/ftp/elfutils/">
+<!ENTITY elfutils-home "https://sourceware.org/elfutils/">
 <!ENTITY elfutils-fin-du "121 MB">
 <!ENTITY elfutils-fin-sbu "0.9 SBU">
@@ -356,5 +356,5 @@
 <!ENTITY kbd-url "https://www.kernel.org/pub/linux/utils/kbd/kbd-&kbd-version;.tar.xz">
 <!ENTITY kbd-md5 "3cac5be0096fcf7b32dcbd3c53831380">
-<!ENTITY kbd-home "http://ftp.altlinux.org/pub/people/legion/kbd">
+<!ENTITY kbd-home "https://kbd-project.org/">
 <!ENTITY kbd-fin-du "33 MB">
 <!ENTITY kbd-fin-sbu "0.1 SBU">
@@ -370,7 +370,7 @@
 <!ENTITY less-version "563">
 <!ENTITY less-size "328 KB">
-<!ENTITY less-url "http://www.greenwoodsoftware.com/less/less-&less-version;.tar.gz">
+<!ENTITY less-url "https://www.greenwoodsoftware.com/less/less-&less-version;.tar.gz">
 <!ENTITY less-md5 "1ee44fa71447a845f6eef5b3f38d2781">
-<!ENTITY less-home "http://www.greenwoodsoftware.com/less/">
+<!ENTITY less-home "https://www.greenwoodsoftware.com/less/">
 <!ENTITY less-fin-du "4.1 MB">
 <!ENTITY less-fin-sbu "less than 0.1 SBU">
@@ -491,5 +491,5 @@
 <!ENTITY mpfr-version "4.1.0">
 <!ENTITY mpfr-size "1,490 KB">
-<!ENTITY mpfr-url "http://www.mpfr.org/mpfr-&mpfr-version;/mpfr-&mpfr-version;.tar.xz">
+<!ENTITY mpfr-url "https://www.mpfr.org/mpfr-&mpfr-version;/mpfr-&mpfr-version;.tar.xz">
 <!ENTITY mpfr-md5 "bdd3d5efba9c17da8d83a35ec552baef">
 <!ENTITY mpfr-home "https://www.mpfr.org/">
@@ -567,5 +567,5 @@
 <!ENTITY psmisc-url "https://sourceforge.net/projects/psmisc/files/psmisc/psmisc-&psmisc-version;.tar.xz">
 <!ENTITY psmisc-md5 "8114cd4489b95308efe2509c3a406bbf">
-<!ENTITY psmisc-home "http://psmisc.sourceforge.net/">
+<!ENTITY psmisc-home "https://gitlab.com/psmisc/psmisc">
 <!ENTITY psmisc-fin-du "5.7 MB">
 <!ENTITY psmisc-fin-sbu "less than 0.1 SBU">
@@ -616,7 +616,7 @@
 <!ENTITY sysklogd-version "1.5.1">
 <!ENTITY sysklogd-size "88 KB">
-<!ENTITY sysklogd-url "http://www.infodrom.org/projects/sysklogd/download/sysklogd-&sysklogd-version;.tar.gz">
+<!ENTITY sysklogd-url "https://www.infodrom.org/projects/sysklogd/download/sysklogd-&sysklogd-version;.tar.gz">
 <!ENTITY sysklogd-md5 "c70599ab0d037fde724f7210c2c8d7f8">
-<!ENTITY sysklogd-home "http://www.infodrom.org/projects/sysklogd/">
+<!ENTITY sysklogd-home "https://www.infodrom.org/projects/sysklogd/">
 <!ENTITY sysklogd-fin-du "0.6 MB">
 <!ENTITY sysklogd-fin-sbu "less than 0.1 SBU">
@@ -642,5 +642,5 @@
 <!ENTITY sysvinit-url "&savannah;/releases/sysvinit/sysvinit-&sysvinit-version;.tar.xz">
 <!ENTITY sysvinit-md5 "e3254f7622ea5cf2322b1b386a98ba59">
-<!ENTITY sysvinit-home "https://savannah.nongnu.org/projects/sysvinit">
+<!ENTITY sysvinit-home "&savannah-nongnu;/projects/sysvinit">
 <!ENTITY sysvinit-fin-du "1.4 MB">
 <!ENTITY sysvinit-fin-sbu "less than 0.1 SBU">
@@ -695,5 +695,5 @@
 <!ENTITY util-linux-url "&kernel;linux/utils/util-linux/v&util-linux-minor;/util-linux-&util-linux-version;.tar.xz">
 <!ENTITY util-linux-md5 "f78419af679ac9678190ad961eb3cf27">
-<!ENTITY util-linux-home "http://freecode.com/projects/util-linux">
+<!ENTITY util-linux-home "http://freshmeat.sourceforge.net/projects/util-linux">
 <!ENTITY util-linux-tmp-du "134 MB">
 <!ENTITY util-linux-tmp-sbu "0.7 SBU">
